export interface MyProjectList {
  item?: any,
  address?: string;
  city?: string;
  cityName?: string;
  contactPersonInfo: ContactPersonInfo;
  districts?: string;
  districtsName?: string;
  name: string;
  province?: string;
  provinceName: string;
  remark?: string;
  serviceProjectList: ServiceProjectList[];
  snowFlakeId?: string;
  securityUnitId: string;
  street?: string;
  streetName?: string;
  type?:any
}

export interface ContactPersonInfo {
  name: string;
  telephone: string
}

export interface ServiceProjectList {
  buildingTotal?: number;
  houseTotal?: number;
  idNumber?: string;
  isRecruitSecurity?: null;
  name?: string;
  remark?: string;
  securityUserTotal?: number;
  securityUnitName?:string;
  serviceArea?: number;
  snowFlakeId?: string;
  staffTotal?: number;
  type?: any;
  projectManagerMiniProgramUserInfo?: ProgramUserInfo
}

export interface ProgramUserInfo {
  idCard?: null
  name?: string
  telephone?: string
}

export interface ServiceProjectSecurityUserPagerVo {
  createTime?: string;
  dateOfBirth?: string;
  homeAddress?: string;
  idCard?: string;
  name?: string;
  nativePlace?: string;
  remark?: string;
  securityNumber?: string;
  securityUnitId?: string;
  securityUnitName?: string;
  serviceProjectId?: string;
  snowFlakeId: string;
  workPost?: string;
  sex: BaseEnum<number>
}
