import { BaseTableRowRecord } from "@/types/components/table";
// interface BaseEnum<T> {
//     value: T;
//     label: string
// }
export interface publicUnitPagerQueryParams extends BaseTableRowRecord {
provinceName: any;
[x: string]: any;
    /** 名称 **/
    name?: string;
    /** 社会编码 **/
    socialCode?: string;
    /** 行政区划编码 **/
    administrativeDivisionCodes?: string[];
    /** 是否启用 **/
    isEnable?: BaseEnum<number>;
    /** 审核状态 **/
    checkStatus?: number;
    /** 账号  **/
    account?: string,
    sex?: BaseEnum<number>,
    telephone?: string,
    createTime?: string,
    snowFlakeId?: string,
    remark?: string,
    isAdmin?: BaseEnum<number | string>
}

export interface FromItem {
    snowFlakeId?: string,
    name: string,
    sex: number,
    telephone: string,
    isEnable: BaseEnum<number>,
    remark?: string,
}

