package com.changhu.common.annotation;

import org.springframework.web.bind.annotation.RestController;

import java.lang.annotation.*;

/**
 * author: luozhun
 * desc: JsonResult
 * createTime: 2023/8/18 10:47
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@RestController
public @interface JsonBody {
    boolean value() default true;
}
