package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.annotation.IsExtData;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/8/28 下午3:51
 * @desc CheckStatus...
 */
@Getter
@AllArgsConstructor
public enum CheckStatus implements BaseEnum<Integer>, IEnum<Integer> {

    checked(0, "已审核", "success"),
    unChecked(1, "未审核", "error"),
    ;

    private final Integer value;
    private final String label;
    @IsExtData
    private final String color;

}
