package com.changhu.common.db.enums;

import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * author: luozhun
 * desc: DeleteFlag
 * createTime: 2023/8/16 17:39
 */
@Getter
@AllArgsConstructor
public enum DeleteFlag implements BaseEnum<Integer> {

    FALSE(0, "未删除"),
    TRUE(1, "已删除"),
    ;

    private final Integer value;
    private final String label;

}

