package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.annotation.IsExtData;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * author: luozhun
 * desc: IsEnable
 * createTime: 2023/8/22 9:52
 */
@Getter
@AllArgsConstructor
public enum IsEnable implements BaseEnum<Integer>, IEnum<Integer> {

    TRUE(0, "启用", "success"),
    FALSE(1, "禁用", "error"),
    ;

    private final Integer value;
    private final String label;
    @IsExtData
    private final String color;

}