package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * author: luozhun
 * desc: 单选或多选
 * createTime: 2023/8/16 17:39
 */
@Getter
@AllArgsConstructor
public enum SelectType implements BaseEnum<String>, IEnum<String> {

    RADIO("radio", "单选"),
    MULTIPLE("multiple", "多选"),
    ;

    private final String value;
    private final String label;

}

