package com.changhu.common.pojo.vo;

import cn.hutool.core.lang.Dict;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * author: luozhun
 * desc: SelectNodeVo
 * createTime: 2023/9/22 9:53
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class SelectNodeVo<T> implements Serializable {
    /**
     * 选择的值
     */
    private T value;
    /**
     * 显示文本
     */
    private String label;
    /**
     * 拓展属性
     */
    private Dict extData;
}
