package com.changhu.module.assessmentCriteria.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 考核组 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CkGroup extends BaseEntity implements Serializable {

	@Serial
	private static final long serialVersionUID =  1L;

    /**
     * 考核项目id
     */
    private Long ckProjectId;

    /**
     * 考核组名称
     */
    private String name;

    /**
     * 总分
     */
    private Integer totalScore;

    /**
     * 备注信息
     */
    private String remark;


}
