package com.changhu.module.assessmentCriteria.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.common.db.enums.SelectType;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 分组内的考核项 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CkItem extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 考核组id
     */
    private Long ckGroupId;

    /**
     * 考核项名称
     */
    private String name;

    /**
     * 单选或多选
     */
    private SelectType type;

    /**
     * 备注信息
     */
    private String remark;


}
