package com.changhu.module.assessmentCriteria.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.common.db.enums.EnterprisesUnitType;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 考核项目 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CkProject extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 考核项目名字
     */
    private String name;

    /**
     * 类型(对应企事业单位类型)
     */
    private EnterprisesUnitType type;

    /**
     * 总分
     */
    private Integer totalScore;

    /**
     * 备注信息
     */
    private String remark;


}
