package com.changhu.module.assessmentCriteria.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.module.assessmentCriteria.pojo.entity.CkAssessmentRecord;
import com.changhu.module.assessmentCriteria.pojo.queryParams.AssessmentRecordPagerQueryParams;
import com.changhu.module.assessmentCriteria.pojo.vo.AssessmentRecordDetailVo;
import com.changhu.module.assessmentCriteria.pojo.vo.AssessmentRecordPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

import java.util.List;

/**
 * ck_assessment_record (考核记录)  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface CkAssessmentRecordService extends IService<CkAssessmentRecord> {

    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<AssessmentRecordPagerVo> pager(PageParams<AssessmentRecordPagerQueryParams, AssessmentRecordPagerVo> queryParams);

    /**
     * 扣分详情
     *
     * @param assessmentRecordId 考核记录id
     * @return 结果
     */
    List<AssessmentRecordDetailVo> deductedDetail(Long assessmentRecordId);
}
