package com.changhu.module.management.enums;

import com.changhu.module.management.enums.handler.AbstractUnitTypeHandler;
import com.changhu.module.management.enums.handler.PoliceUnitTypeHandler;
import com.changhu.module.management.enums.handler.SecurityUnitTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/9/2 上午9:51
 * @desc IndexCheckPass...
 */
@AllArgsConstructor
@Getter
public enum UnitOptType {

    SECURITY_UNIT(new SecurityUnitTypeHandler()),
    POLICE_UNIT(new PoliceUnitTypeHandler());

    private final AbstractUnitTypeHandler handler;
}
