package com.changhu.module.management.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.entity.ManagementSecurityUnitUser;
import com.changhu.module.management.pojo.queryParams.ManagementSecurityUnitUserPagerQueryParams;
import com.changhu.module.management.pojo.vo.ManagementSecurityUnitUserPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * management_security_unit_user (后台-保安单位用户表)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface ManagementSecurityUnitUserMapper extends BaseMapper<ManagementSecurityUnitUser> {

    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 结果
     */
    Page<ManagementSecurityUnitUserPagerVo> pager(@Param("page") Page<ManagementSecurityUnitUserPagerVo> page,
                                                  @Param("params") ManagementSecurityUnitUserPagerQueryParams params);
}
