package com.changhu.module.management.pojo.model;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/8/30 下午3:43
 * @desc ContactPersonInfo...
 */
@Data
public class ContactPersonInfo {

    @NotBlank(message = "名字不能为空")
    @Schema(description = "名字")
    private String name;

    @NotBlank(message = "手机号不能为空")
    @Schema(description = "手机号")
    private String telephone;
}
