package com.changhu.module.management.pojo.params;

import com.changhu.module.management.enums.UnitOptType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/3 上午9:28
 * @desc IndexDisableOrEnableParams...
 */
@Data
public class IndexDisableOrEnableParams {
    @Schema(description = "数据id")
    @NotNull(message = "数据id不能为空")
    private Long dataId;

    @Schema(description = "单位类型")
    @NotNull(message = "单位类型不能为空")
    private UnitOptType unitOptType;
}
