package com.changhu.module.management.pojo.queryParams;

import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.Sex;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/4 下午3:22
 * @desc ManagementPoliceUnitUserPagerQueryParams...
 */
@Data
public class ManagementPoliceUnitUserPagerQueryParams {
    @Schema(description = "名字")
    private String name;
    @Schema(description = "手机号")
    private String telephone;
    @Schema(description = "性别")
    private Sex sex;
    @Schema(description = "是否启用")
    private IsEnable isEnable;
}
