package com.changhu.module.management.pojo.vo;

import com.changhu.common.db.enums.CheckStatus;
import com.changhu.common.db.enums.IsEnable;
import com.changhu.module.management.pojo.model.LegalPersonInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/8/30 上午10:50
 * @desc SecurityUnitPagerVo...
 */
@Data
public class SecurityUnitPagerVo {
    @Schema(description = "雪花id")
    private Long snowFlakeId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "社会编码")
    private String socialCode;

    @Schema(description = "营业执照")
    private String businessLicense;

    @Schema(description = "法人信息")
    private LegalPersonInfo legalPersonInfo;

    @Schema(description = "省编码")
    private String province;
    @Schema(description = "省名字")
    private String provinceName;

    @Schema(description = "市编码")
    private String city;
    @Schema(description = "市名字")
    private String cityName;

    @Schema(description = "区/县编码")
    private String districts;
    @Schema(description = "区/县名字")
    private String districtsName;

    @Schema(description = "街道编码")
    private String street;
    @Schema(description = "街道编码")
    private String streetName;

    @Schema(description = "详细地址")
    private String address;

    @Schema(description = "公司性质")
    private String nature;

    @Schema(description = "是否启用")
    private IsEnable isEnable;

    @Schema(description = "审核状态")
    private CheckStatus checkStatus;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;
}
