package com.changhu.module.miniProgram.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.common.db.enums.MiniProgramUserIdentity;
import com.changhu.module.management.pojo.queryParams.UnitMiniProgramUserPagerQueryParams;
import com.changhu.module.management.pojo.vo.UnitMiniProgramUserPagerVo;
import com.changhu.module.miniProgram.pojo.entity.MiniProgramUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * mini_program_user (小程序用户)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface MiniProgramUserMapper extends BaseMapper<MiniProgramUser> {

    /**
     * 分页查询
     *
     * @param page     分页参数
     * @param params   查询参数
     * @param identity 用户身份
     * @return 结果
     */
    Page<UnitMiniProgramUserPagerVo> pager(@Param("page") Page<UnitMiniProgramUserPagerVo> page,
                                           @Param("params") UnitMiniProgramUserPagerQueryParams params,
                                           @Param("identity") MiniProgramUserIdentity identity);
}
