package com.changhu.pojo.params;

import com.changhu.common.validator.annotation.IsMobile;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:26
 * @desc ManagementSuperLoginParams...
 */
@Data
public class ManagementSuperLoginParams {

    @IsMobile
    private String telephone;

    @NotBlank(message = "密码不能为空")
    private String password;
}
