package com.changhu.support.ws.enums;

import com.changhu.support.ws.handler.BaseMessageHandler;
import com.changhu.support.ws.handler.HeartbeatMessageHandler;
import com.changhu.support.ws.handler.SimpleMessageHandler;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * author: luozhun
 * desc: WsMsgType
 * createTime: 2023/9/5 14:29
 */
@Getter
@AllArgsConstructor
public enum WsMsgType {

    SIMPLE_MESSAGE("简单消息处理", SimpleMessageHandler.class),
    HEARTBEAT("心跳处理", HeartbeatMessageHandler.class);

    private final String remark;
    private final Class<? extends BaseMessageHandler> aClass;
}
