package com.changhu.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * @author 20252
 * @createTime 2024/10/9 下午5:10
 * @desc OpenApiType...
 */
@Getter
@AllArgsConstructor
public enum OpenApiType {
    Information_on_enterprises_and_institutions("获取企事业单位信息", Arrays.asList("1fe0aaf3-45a4-4be3-a989-75e914a3f36e", "1fe0aaf3-45a4-a989-75e914a3f36e")),
    data_view("数据总览", List.of("8da74bbf-c686-4393-b4ec-692091e6d381"));

    private final String desc;
    private final List<String> openApiKeys;
}
