package com.changhu.common.pojo.vo;

import com.changhu.common.db.enums.UserType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/12 下午3:27
 * @desc 通过视图去找出数据创建人
 */
@Data
public class CreateOrUpdateUser {
    @Schema(description = "用户id")
    private Long snowFlakeId;
    @Schema(description = "用户名字")
    private String name;
    @Schema(description = "用户类型")
    private UserType type;
}
