package com.changhu.common.pojo.vo;

import cn.hutool.core.lang.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/8/29 下午2:55
 * @desc TokenInfo...
 */
@Data
public class TokenInfo {

    @Schema(description = "token的名字")
    private String name;
    @Schema(description = "token的值")
    private String value;
    @Schema(description = "拓展属性")
    private Dict extData;

    public TokenInfo(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public TokenInfo(String name, String value, Dict dict) {
        this.name = name;
        this.value = value;
        this.extData = dict;
    }
}
