package com.changhu.mapper;

import com.changhu.common.pojo.vo.SelectNodeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/15 下午2:27
 * @desc OpenApiMapper...
 */
@Mapper
public interface OpenApiMapper {

    /**
     * 根据单位获取企事业单位
     *
     * @param code  代码
     * @param level 等级
     * @return 企事业单位
     */
    List<SelectNodeVo<Long>> getEnterprisesUnit(@Param("code") String code,
                                                @Param("level") Integer level);
}
