package com.changhu.module.assessmentCriteria.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.assessmentCriteria.pojo.entity.CkAssessmentRecord;
import com.changhu.module.assessmentCriteria.pojo.queryParams.AssessmentRecordPagerQueryParams;
import com.changhu.module.assessmentCriteria.pojo.vo.AssessmentRecordPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * ck_assessment_record (考核记录)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface CkAssessmentRecordMapper extends BaseMapper<CkAssessmentRecord> {

    /**
     * 分页查询
     *
     * @param page         分页对象
     * @param policeUnitId 公安单位id
     * @param params       查询参数
     * @return 结果
     */
    Page<AssessmentRecordPagerVo> pager(@Param("page") Page<AssessmentRecordPagerVo> page,
                                        @Param("policeUnitId") Long policeUnitId,
                                        @Param("params") AssessmentRecordPagerQueryParams params);
}
