package com.changhu.module.assessmentCriteria.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.assessmentCriteria.pojo.entity.CkProject;
import com.changhu.module.assessmentCriteria.pojo.queryParams.CkProjectPagerQueryParams;
import com.changhu.module.assessmentCriteria.pojo.vo.CkProjectDetailTableVo;
import com.changhu.module.assessmentCriteria.pojo.vo.CkProjectPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * ck_project (考核项目)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface CkProjectMapper extends BaseMapper<CkProject> {

    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 分页数据
     */
    Page<CkProjectPagerVo> pager(@Param("page") Page<CkProjectPagerVo> page,
                                 @Param("params") CkProjectPagerQueryParams params);

    /**
     * 考核项目详情
     *
     * @param ckProjectId 考核项目id
     * @return 详情
     */
    List<CkProjectDetailTableVo> ckProjectDetail(@Param("ckProjectId") Long ckProjectId);
}
