package com.changhu.module.assessmentCriteria.pojo.vo;

import com.changhu.common.db.enums.SelectType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/11 上午9:39
 * @desc AssessmentRecordDetailVo...
 */
@Data
public class AssessmentRecordDetailVo {

    @Schema(description = "考核分组id")
    private Long ckGroupId;
    @Schema(description = "考核分组名字")
    private String groupName;
    @Schema(description = "考核分组总分")
    private Integer groupTotalScore;
    @Schema(description = "考核分组备注")
    private String groupRemark;

    @Schema(description = "考核项id")
    private Long ckItemId;
    @Schema(description = "考核项名字")
    private String itemName;
    @Schema(description = "组件类型")
    private SelectType itemType;
    @Schema(description = "考核项备注")
    private String itemRemark;

    @Schema(description = "考核标准id")
    private Long ckStandardId;
    @Schema(description = "考核标准")
    private String standardName;
    @Schema(description = "扣分数")
    private Double deductionPoints;


    @Schema(description = "是否选中")
    public Boolean isSelected;
}
