package com.changhu.module.management.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.entity.ManagementPoliceUnitUser;
import com.changhu.module.management.pojo.queryParams.ManagementPoliceUnitUserPagerQueryParams;
import com.changhu.module.management.pojo.vo.ManagementPoliceUnitUserPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * management_police_user (后台-公安单位用户表)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface ManagementPoliceUnitUserMapper extends BaseMapper<ManagementPoliceUnitUser> {

    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 结果
     */
    Page<ManagementPoliceUnitUserPagerVo> pager(@Param("page") Page<ManagementPoliceUnitUserPagerVo> page,
                                                @Param("params") ManagementPoliceUnitUserPagerQueryParams params);
}
