package com.changhu.module.management.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.entity.PoliceUnit;
import com.changhu.module.management.pojo.queryParams.PoliceUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.PoliceUnitPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * police_unit (公安单位)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface PoliceUnitMapper extends BaseMapper<PoliceUnit> {

    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 结果
     */
    Page<PoliceUnitPagerVo> pager(@Param("page") Page<PoliceUnitPagerVo> page,
                                  @Param("params") PoliceUnitPagerQueryParams params);
}
