package com.changhu.module.management.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.entity.SecurityUnit;
import com.changhu.module.management.pojo.queryParams.SecurityUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.SecurityUnitPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * security_unit (保安单位)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface SecurityUnitMapper extends BaseMapper<SecurityUnit> {

    /**
     * 分页查询
     *
     * @param page   分页对象
     * @param params 查询参数
     * @return 结果
     */
    Page<SecurityUnitPagerVo> pager(@Param("page") Page<SecurityUnitPagerVo> page,
                                    @Param("params") SecurityUnitPagerQueryParams params);
}
