package com.changhu.module.management.pojo.params;

import com.changhu.module.management.enums.UnitOptType;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/2 上午9:59
 * @desc IndexCheckPassParams...
 */
@Data
public class IndexCheckPassParams {
    @Schema(description = "审核数据的id")
    @NotNull(message = "审核数据的id不能为空")
    private Long checkDataId;

    @Schema(description = "单位类型")
    @NotNull(message = "单位类型不能为空")
    private UnitOptType unitOptType;
}
