package com.changhu.module.management.pojo.queryParams;

import com.changhu.common.db.enums.CheckStatus;
import com.changhu.common.db.enums.IsEnable;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/8/30 下午3:55
 * @desc PoliceUnitPagerQueryParams...
 */
@Data
public class PoliceUnitPagerQueryParams {

    @Schema(description = "名称")
    private String name;

    @Schema(description = "代码")
    private String code;

    @Schema(description = "行政区划")
    private List<String> administrativeDivisionCodes;

    @Schema(description = "是否启用")
    private IsEnable isEnable;

    @Schema(description = "审核状态")
    private CheckStatus checkStatus;
}
