package com.changhu.module.management.pojo.queryParams;

import com.changhu.common.db.enums.CheckStatus;
import com.changhu.common.db.enums.IsEnable;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/8/30 上午11:03
 * @desc SecurityUnitPagerQueryParams...
 */
@Data
public class SecurityUnitPagerQueryParams {
    @Schema(description = "名称")
    private String name;
    @Schema(description = "社会编码")
    private String socialCode;
    @Schema(description = "行政区划编码")
    private List<String> administrativeDivisionCodes;
    @Schema(description = "是否启用")
    private IsEnable isEnable;
    @Schema(description = "审核状态")
    private CheckStatus checkStatus;
}
