package com.changhu.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/11/11 上午11:16
 * @desc DataViewDTO...
 */
@Data
public class DataViewDTO {
    @Schema(description = "公安单位数量")
    private Integer policeUnitCount;
    @Schema(description = "保安单位数量")
    private Integer securityUnitCount;
    @Schema(description = "企事业单位数量")
    private Integer enterprisesUnitCount;
    @Schema(description = "保安人员总数")
    private Integer securityUserTotal;
    @Schema(description = "无证保安数量")
    private Integer noCardSecurityUserCount;
}
