package com.changhu.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 全国行政区划表(2023/12/04) 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class AdministrativeDivision extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 区划名称
     */
    private String name;

    /**
     * 区划编码
     */
    private String code;

    /**
     * 上级行政区划编码
     */
    private String parentCode;

    /**
     * 区划级别: 1:省/自治区/直辖市 2:市级 3:区/县级 4:街道级
     */
    private Integer level;

    /**
     * 备注
     */
    private String remark;


}
