package com.changhu.pojo.params;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/2 下午4:53
 * @desc ManagementPoliceUnitLoginParams...
 */
@Data
public class ManagementSecurityUnitLoginParams {

    @NotBlank(message = "账号/手机号不能为空")
    private String accountOrTelephone;

    @NotBlank(message = "密码不能为空")
    private String password;
}
