package com.changhu.service;

import com.changhu.common.pojo.vo.TokenInfo;
import com.changhu.pojo.params.LoginParams;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:28
 * @desc LoginService...
 */
public interface LoginService {
    /**
     * 用户登录
     *
     * @param loginParams 登录参数
     * @return token
     */
    TokenInfo login(LoginParams loginParams);

    /**
     * 登出
     */
    void logout();
}
