package com.changhu.support.ws.handler;

import com.changhu.support.ws.pojo.dto.WsMsgDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.socket.WebSocketSession;

/**
 * author: luozhun
 * desc: BaseMessageHandler
 * createTime: 2023/9/5 14:32
 */
@Slf4j
public abstract class BaseMessageHandler {

    public final WebSocketSession session;
    public final WsMsgDTO<?> message;

    public BaseMessageHandler(WebSocketSession session, WsMsgDTO<?> msg) {
        this.session = session;
        this.message = msg;
    }

    public abstract void handlerMessage();
}
