/// <reference types="vite/client" />
interface ImportMetaEnv {
    // 项目名称
    readonly VITE_APP_NAME: string;
    // 当前环境
    readonly VITE_APP_ENV: 'development' | 'production';
    // 启动端口
    readonly VITE_APP_PORT: number;

    // axios
    readonly VITE_APP_BASE_API: string;
    readonly VITE_APP_PROXY_URL: string;

    // minio
    readonly VITE_APP_MINIO_URL: string
    readonly VITE_APP_MINIO_BUCKET: string

    // RSA公钥
    readonly VITE_APP_RSA_PUBLIC_KEY: string;
}
